<div class="permission-switch">
  <h2 class="permission-name">
    {name}
  </h2>
  <span class="permission-driver">
    <Switch {value} bind:value="value" on:toggle="fire('toggle', value)" />
  </span>
</div>

<script>
  import Switch from "./forms/Switch.svelte";
  import constants from "../js/constants";

  export default {
    components: {
      Switch
    },
    computed: {
      name({name}) {
        return constants.friendlyPermissions[name] || name;
      }
    }
  };
</script>

<style>
  .permission-driver {
    float: right;
    margin-right: 1em;
    margin: calc((44px - 1.2em - 0.5em) / 2) 1em;
  }

  .permission-name {
    margin: 0.25em 0;
    display: inline-block;
  }
</style>
